Bug 57264 - %GNUconfigure macro broken in /usr/lib/rpm/macros
Summary: %GNUconfigure macro broken in /usr/lib/rpm/macros
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-08 01:44 UTC by Bill Crawford
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-09 18:39:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch as promised ;o) (466 bytes, patch)
2001-12-08 01:45 UTC, Bill Crawford
no flags Details | Diff

Description Bill Crawford 2001-12-08 01:44:27 UTC
Version:
[bill@desktop rpm]$ rpm -qf /usr/lib/rpm/macros
rpm-4.0.4-0.2

Small bug in /usr/lib/rpm/macros: the %GNUconfigure macro is slightly
broken, and causes problems for configure scripts (e.g. gnorpm, which I was
just messing with).

Patch (one line change) attached shortly ...

Comment 1 Bill Crawford 2001-12-08 01:45:33 UTC
Created attachment 40067 [details]
Patch as promised ;o)

Comment 2 Jeff Johnson 2001-12-09 20:39:47 UTC
FIxed in rpm CVS, should be in rpm-4.0.4-0.3 and later.

Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.